Name:           userspace-rcu
Version:        0.10.3
Release:        2%{?dist} 
Vendor:         Oracle America
Summary:        RCU (read-copy-update) implementation in user-space

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://liburcu.org
Source0:        userspace-rcu-0.10.3.tar.bz2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Harness
BuildRequires:  autoconf automake libtool

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
This data synchronization library provides read-side access which scales
linearly with the number of cores. It does so by allowing multiples copies
of a given data structure to live at the same time, and by monitoring
the data structure accesses to detect grace periods after which memory
reclamation is possible.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
# Reinitialize libtool with the fedora version to remove Rpath
autoreconf -vif

%configure --disable-static
V=1 make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -vf $RPM_BUILD_ROOT%{_libdir}/*.la


%check
make check
make regtest

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE README.md gpl-2.0.txt lgpl-relicensing.txt lgpl-2.1.txt
%{_libdir}/*.so.*
/usr/share/doc/userspace-rcu/LICENSE
/usr/share/doc/userspace-rcu/README.md


%files devel
%doc %{_pkgdocdir}/examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/liburcu*.pc
%{_docdir}/%{name}/cds-api.md
%{_docdir}/%{name}/rcu-api.md
%{_docdir}/%{name}/solaris-build.md
%{_docdir}/%{name}/uatomic-api.md


%changelog
* Fri Mar 19 2021 Frank Batschulat <frank.batschulat@oracle.com> - 0.10.3-2
- remove patch file reference, patch is incorporated

* Thu Mar 18 2021 Frank Batschulat <frank.batschulat@oracle.com> - 0.10.3-2
- Initial spec file for oracle-gluster-8
